Description

Not sure if this is a huge problem (or why many people would do this), but we had a user that started a project then needed to

demote themselves to a member due to restrictions of the class. As such, they then had a project that no one could access or make

changes too.

To fix this, it would be nice to have an option that would warn users when they are demoting someone from certain roles. Could be

as simple as a text box that says, "By demoting this user, there will be no one with the ability to change the project" ....or there could

be a fail safe that would not allow the user to this at all, but rather have to transfer those responsibilities to another "Project Manager"

or equivalent before demoting themselves.

History

#1 - 2010-02-12 08:47 - Felix Schäfer

I think I saw something like that in the changelogs some days ago, but I think it was only for the Manager role… I'll try to find it again.

#2 - 2010-02-12 11:35 - Felix Schäfer

Have a look if #4402 / r3249 solves what you are describing here. The problem with "making sure at least 1 user with role X" exists is that 1. not

everyone wants that, and 2. the roles are freely configurable, so Manager might mean two different permission sets on two different redmine

installations.

#3 - 2010-02-12 21:25 - Michael Koch

Maybe it could be an option in the Admin settings, where you could choose that "At least 1 user with this role" was on each project. That way it could

be totally up to the administrators how the option was utilized. For community projects, I think this is an important issue.

Looks like for the update you mention, it is a warning for deleting a member. Is this correct?

#4 - 2010-02-12 21:27 - Felix Schäfer

The update mentioned warns you when you delete yourself from the project, although I haven't paid attention if it was only for the highest role you

occupy in this project or anything like that.

#5 - 2010-02-14 16:36 - Jean-Philippe Lang

- Subject changed from Warn user when 'demoting' their role/permissions on a project, particularly when there are no other project managers left to

Option to prevent removing all members with a certain role

- Category set to Projects

Subject changed since the warning when someone tries to remove himself from a project is already implemented.

#6 - 2010-02-22 05:51 - Michael Koch

Thanks Jean for clarifying. The new title conveys my issue better.

For an update, we had this problem several more times where users removed themselves as project managers, and no one was able to make

changes on the project (besides admins of course).
